none
Different versions nsftp adapters in production nodes - Impact RRS feed

  • Question

  • Hi All,


    In our production server, different nsoftware-sftp adapter version have been installed 3.6 and 3.7 in node-1 and node-2 respectively.

    what could be the impact of having different versions of sftp adapters in different nodes

    I tried for searching the differences of versions but couldn't find.

    Please comment, thanks

    Monday, May 2, 2016 3:34 AM

Answers

  • Hi All,

    Thanks for the reply, currently we are using BizTalk 2010.

    is it supported/recommended to use nsftp 4? over nsftp 3.7? in the BTS 2010 environment?


    Okay. Three very important updates for you.

    1) You should always keep your production servers alike.

    2) (Official word) BizTalk Server 2010 is supported by V4 of the BizTalk Adapters.

    3) (Official word) Version 3 adapters were retired with the release of V4. While nsoftware can still provide basic support for V3, the support which can be provided is limited. Specifically, They will be no longer able to make code changes to that version.

    Here's the chat with nsoftware customer support.

    Rachit
    Hi,
    
    Is nsoftware sftp v4 biztalk adapter compatible and supported with BizTalk Server 2010?
    Arnold (/n software) joined the chat
    Arnold (/n software)
    Hello Rachit
    Sorry for the delay, our offices just opened.
    BizTalk Server 2010 is supported by V4 of the BizTalk Adapters.
    Rachit
    Thanks! :) have a great day ahead
    Arnold (/n software)
    You too, thanks! :)
    Rachit
    Hi.
    you still there?
    Arnold (/n software)
    Hello
    Yes, I am still here :)
    How can I help?
    Rachit
    Till when nsoftware plans to support version 3.X adapters?
    sftp adapter 3.x version
    Arnold (/n software)
    Version 3 adapters were retired with the release of V4.
    Rachit
    okay .. Thanks!
    Arnold (/n software)
    While we can still provide basic support for V3, the support we can provide is limited. Specifically, we are no longer able to make code changes to that version.
    Rachit
    ok got it.
    Arnold (/n software)
    Is there anything else that I can help you with today?
    Rachit
    No.. Thanks for your help
    Arnold (/n software)
    You're welcome. Let us know if you have any additional questions.
    Have a great day, Rachit!


    Rachit Sikroria (Microsoft Azure MVP)

    Monday, May 2, 2016 1:14 PM
    Moderator

All replies

  • You could see inconsistent behavior based on what changes were made in version 3.7 from 3.6 - which would be almost impossible to trace after the event. Make sure that all production servers are identical/have same software running - this also goes for 3rd party adapters like nsoftware.

    So, what you should do is upgrade from 3.6 to 3.7 on node1.

    You can reach out to nsoftware support to get list of changes done from 3.6 to 3.7.


    Thanks Arindam



    Monday, May 2, 2016 3:54 AM
    Moderator
  • This could have impact if you have the same host configured running the two versions of nsoftware adapters.

    If you have separate hosts for both these versions then you should be fine.

    Essentially you should have same version installed but that depends on the time and project needs.

    We also had v3.0 and v4.0 running for some time but we migrated all soon. (On seprate hosts)

    Please note that Nsoftware has v4.0 for quite a long time now and they have very limited support of there version 3.X adapters.

    You should plan on this migration soon.


    When you see answers and helpful posts, please click Vote As Helpful, Propose As Answer, and/or Mark As Answer

    Monday, May 2, 2016 6:17 AM
    Answerer
  • Hi All,

    Thanks for the reply, currently we are using BizTalk 2010.

    is it supported/recommended to use nsftp 4? over nsftp 3.7? in the BTS 2010 environment?


    Monday, May 2, 2016 10:26 AM
  • I will probably work fine but you should always keep all versions of all software, including your apps, consistent across all BizTalk Host Computers.

    It is recommended to always use the latest versions/patches.  Of course, you should test first by rolling any update, including BizTalk, through your normal DEV/TEST/QA/PROD cycle.

    Monday, May 2, 2016 11:53 AM
    Moderator
  • Hi All,

    Thanks for the reply, currently we are using BizTalk 2010.

    is it supported/recommended to use nsftp 4? over nsftp 3.7? in the BTS 2010 environment?


    Okay. Three very important updates for you.

    1) You should always keep your production servers alike.

    2) (Official word) BizTalk Server 2010 is supported by V4 of the BizTalk Adapters.

    3) (Official word) Version 3 adapters were retired with the release of V4. While nsoftware can still provide basic support for V3, the support which can be provided is limited. Specifically, They will be no longer able to make code changes to that version.

    Here's the chat with nsoftware customer support.

    Rachit
    Hi,
    
    Is nsoftware sftp v4 biztalk adapter compatible and supported with BizTalk Server 2010?
    Arnold (/n software) joined the chat
    Arnold (/n software)
    Hello Rachit
    Sorry for the delay, our offices just opened.
    BizTalk Server 2010 is supported by V4 of the BizTalk Adapters.
    Rachit
    Thanks! :) have a great day ahead
    Arnold (/n software)
    You too, thanks! :)
    Rachit
    Hi.
    you still there?
    Arnold (/n software)
    Hello
    Yes, I am still here :)
    How can I help?
    Rachit
    Till when nsoftware plans to support version 3.X adapters?
    sftp adapter 3.x version
    Arnold (/n software)
    Version 3 adapters were retired with the release of V4.
    Rachit
    okay .. Thanks!
    Arnold (/n software)
    While we can still provide basic support for V3, the support we can provide is limited. Specifically, we are no longer able to make code changes to that version.
    Rachit
    ok got it.
    Arnold (/n software)
    Is there anything else that I can help you with today?
    Rachit
    No.. Thanks for your help
    Arnold (/n software)
    You're welcome. Let us know if you have any additional questions.
    Have a great day, Rachit!


    Rachit Sikroria (Microsoft Azure MVP)

    Monday, May 2, 2016 1:14 PM
    Moderator
  • Thank you so much for the clarification.
    Tuesday, May 3, 2016 10:26 AM